import { Observable } from 'rxjs';
import { LazyResult } from './interfaces';
export declare class LazyService {
    private doc;
    private list;
    private cached;
    private _notify;
    constructor(doc: any);
    readonly events: Observable<LazyResult[]>;
    clear(): void;
    load(paths: string | string[]): Promise<LazyResult[]>;
    loadScript(path: string, innerContent?: string): Promise<LazyResult>;
    loadStyle(path: string, rel?: string, innerContent?: string): Promise<LazyResult>;
}
